#topNav-wrap, .topNavMobile-wrap{
  position: absolute!important
}


.pdfWrap{
  width: 100%;
  position: relative;
  min-height: calc(100vh - 52px)
}

.relatedSidebar{
  width: 400px;
  background: var(--gray-1);
  padding: 2rem 1.5rem
}

.relatedSidebar .tile{
   background: #fff;
    width: 100%;
  max-width: 250px;
    transition: box-shadow .3s ease;
    padding: 0;
    padding-bottom: 48px;
    border-radius: 12px;
    overflow: hidden;
    position: relative;
}


.relatedSidebar .tile a .link-wrap {
    bottom: 24px;
    font-size: var(--body-xs);
    font-weight: var(--fontWeight-medium);
    left: 20px;
    position: absolute;
}

.toolbar{
  display:flex;
  align-items:center;
  justify-content:space-between;
  padding:10px 16px;
  background:#fff;
  color:var(--gray-9);
  position:sticky;
  top:0px;
  z-index:100;
  width: 100%
}

.toolbar-left,
.toolbar-center,
.toolbar-right{
  display:flex;
  align-items:center;
  gap:10px;
}
.toolbar-center{justify-content:center}
.toolbar-right{justify-content: end}

.toolbar button, 
.toolbar .sapBtn{
  padding:6px;
  border:1px solid var(--gray-7);
  background: transparent;
  border-radius:6px;
  cursor:pointer;
  font-size:.8rem;
  font-weight:500;
  color:var(--gray-9);
  height: 32px;
  transition:background .3s ease, color .3s ease, border .3s ease
}
.toolbar button{
  width: 32px;
}
.toolbar button:hover, .toolbar .sapBtn:hover{
  background: var(--blue-7); 
  border-color: var(--blue-7); 
  color: white
}

.toolbar button.active{
  background:var(--blue-8);
  border-color:var(--blue-8); 
  color: white
}
.toolbar button:disabled{
  opacity:.4;
  cursor:not-allowed
}

.toolbar .page-info{
  font-size:.8rem;
  min-width:90px;
  text-align:center;
}
.toolbar .toolbar-right .page-info{min-width:40px;}

.viewer-wrapper{
  scroll-margin-top: 52px;
  display:flex;
  width: 100%;
  height:100%;
  position: absolute;
  left: 0;
  top: 0;
  overflow:hidden;
}

.sidebar{
  width:180px;
  background:var(--gray-10);
  overflow-y:auto;
  padding:12px;
  flex-shrink:0;
  transition:width .3s,padding .3s,opacity .3s;
  border-right:1px solid var(--gray-7)
}


.sidebar.hidden{
  width:0;
  padding:0;
  opacity:0;
  overflow:hidden;
  border-right:none
}

.sidebar::-webkit-scrollbar{width:6px}
.sidebar::-webkit-scrollbar-thumb{
  background:#555;
  border-radius:3px}


.thumb-item{
  cursor:pointer;
  margin-bottom:10px;
  border-radius:4px;
  overflow:hidden;
  border:2px solid transparent;
  transition:border-color .2s;
  position:relative
}

.thumb-item:hover{
  border-color:var(--blue-7))
}

.thumb-item.active{
  border-color:var(--blue-8);
  box-shadow:0 0 0 2px rgba(79,140,255,.3)
}

.thumb-item canvas{
  display:block;
  width:100%;
  height:auto;
  background:#fff}

.thumb-label{
  position:absolute;
  bottom:0;
  left:0;
  right:0;
  background:rgba(0,0,0,.7);
  color:#fff;
  font-size:.6rem;
  text-align:center;
  padding:2px
}

.thumb-placeholder{
  width:100%;
  border-radius: 4px;
  aspect-ratio:1.786;
  background:var(--gray-11);
  display:flex;
  align-items:center;
  justify-content:center;
  color:var(--gray-1);
  font-size:.65rem
}
.pdf-area{
  flex:1;
  overflow-y:auto;

  background:var(--gray-8);
  display:flex;
  flex-direction:column;
  align-items:center;
  gap:1rem;
  cursor : -webkit-grab; */
    cursor : -moz-grab;
    cursor : -o-grab;
   cursor : grab; */

}



.dragscroll:active {
    cursor : -webkit-grabbing;
    cursor : -moz-grabbing;
    cursor : -o-grabbing;
    cursor : grabbing;
}

.pdf-area.scroll-locked{overflow:hidden !important}

.spread-row{
  display:flex;
  gap:4px;
  justify-content: center;
 width: max-content;      
  min-width: 100%;          
  margin: 0 auto 20px auto;
 
}
.page-slot{
  position:relative;
  background:#fff;
  box-shadow:0 4px 20px rgba(0,0,0,.4)
}

.page-slot canvas{display:block}

.page-slot .page-placeholder{
  display:flex;
  align-items:center;
  justify-content:center;
  color: var(--gray-1);
  font-size:.8rem;
  background:var(--gray-10)
}


.annotation-layer{
  position:absolute;
  top:0;
  left:0;
  right:0;
  bottom:0;
  pointer-events:none
}
.annotation-layer a{
  pointer-events:all;
  cursor:pointer;
  position:absolute;
  display:block
}
.annotation-layer a:hover{
  background:rgba(79,140,255,.12)
}

.loading-msg{
  color:var(--gray-1);
  font-size:1rem;
  padding:40px
}

@media(max-width:900px){
  .spread-row{
    flex-direction:column;
    align-items:center
  }
  .sidebar{
    width:140px;
    padding:8px
  }
}
@media(max-width:600px){
  .sidebar{
    padding:0;
    position: absolute; 
    left: 0; 
    top: 0;
    z-index: 1;
    overflow:hidden;
    border:none
  }
}